-- 服务端热更新使用
-- 协议最大ID 32766
package.loaded[PROTO_ROOT .. "proto-lib.proto_socket"] = nil -- 1000~1999
package.loaded[PROTO_ROOT .. "proto-lib.proto_user"] = nil -- 2000~2999
package.loaded[PROTO_ROOT .. "proto-lib.proto_bag"] = nil -- 5000~5999
package.loaded[PROTO_ROOT .. "proto-lib.proto_test"] = nil -- 9000~9999

-- 其他协议
-- proto-lib.proto_http -- 31000~31999
-- proto-lib.proto_log -- 32000~32766

local proto_socket = require(PROTO_ROOT .. "proto-lib.proto_socket")
local proto_user = require(PROTO_ROOT .. "proto-lib.proto_user")
local proto_bag = require(PROTO_ROOT .. "proto-lib.proto_bag")
local proto_test = require(PROTO_ROOT .. "proto-lib.proto_test")

local c2s = proto_socket.c2s
c2s = c2s .. proto_user.c2s
c2s = c2s .. proto_bag.c2s
c2s = c2s .. proto_test.c2s

local s2c = proto_socket.s2c
s2c = s2c .. proto_user.s2c
s2c = s2c .. proto_bag.s2c
s2c = s2c .. proto_test.s2c

local proto = {
    c2s = c2s,
    s2c = s2c
}

return proto
