-- 公共结构体

local proto_struct =
    [[
    # 物品
    .DataItem {
        id 0: integer
        count 1: integer
    }

    # 物品背包属性
    .DataItemBag {
        id 0: integer                   # 物品ID
        count 1: integer                # 物品数量
        endTime 2: integer              # 到期时间戳
    }
        
    # 玩家基础信息
    .DataUserBaseInfo {
        uid 0: integer                  # 玩家uid
        nickname 1: string              # 玩家昵称
        icon 2: string                  # 头像链接
        level 3: integer                # 等级
        vipLevel 4: integer             # 贵族等级
        registerVersion 5: string       # 注册版本
        activeDays 6: integer           # 活跃天数
    }
]]

return proto_struct
